Overview | Package | Class | Use | Tree | Help
| HEADER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.developmentontheedge.application.action
Class ApplicationAction

    java.lang.Object
      |
      +--javax.swing.AbstractAction
            |
            +--com.developmentontheedge.application.action.ApplicationAction

Direct Known Subclasses:
  ApplicationAction.ActionAboutDialog, ApplicationAction.ActionExit, ApplicationAction.ActionHelp, ApplicationAction.ActionPrint, ApplicationAction.ActionPrintPreview, ApplicationAction.ActionPrintSetup

public class ApplicationAction
extends AbstractAction

The `ApplicationAction` class extends functionality of AbstractAction

Inner Class Summary
`public class` | ApplicationAction.ActionAboutDialog
`public static class` | ApplicationAction.ActionExit
`public class` | ApplicationAction.ActionHelp
`public class` | ApplicationAction.ActionPrint
`public class` | ApplicationAction.ActionPrintPreview
`public class` | ApplicationAction.ActionPrintSetup

Field Summary
`final static String` | `PARAMETER` Action key for sending of any parameters to action

Constructor Summary
`ApplicationAction(String key)`
`ApplicationAction(String name, String cmd)`
`ApplicationAction(String name, String shortDesc, String longDesc, int mnemonic, String imageFile, String cmd, ActionListener listener)` Defines an `Action` object with the specified name,long/short description string,mnemonic key,icon, command string and the listener.
`ApplicationAction(String name, String shortDesc, String longDesc, int mnemonic, String imageFile, ActionListener listener)` Defines an `Action` object with the specified name,long/short description string,mnemonic key,icon and action listener.
`ApplicationAction(String name, String shortDesc, String longDesc, int mnemonic, String imageFile)` Defines an `Action` object with the specified name,long/short description string,mnemonic key,icon .

Method Summary
`void` | `actionPerformed(ActionEvent evt)` Overridden method for translation action events to the all listeners
`void` | `addActionListener(ActionListener l)` Adds the specified action listener to receive action event .
`void` | `removeActionListeners(Class clazz)`

Methods inherited from class javax.swing.AbstractAction
`getValue, putValue, isEnabled, setEnabled, getKeys, addPropertyChangeListener, removePropertyChangeListener`

Methods inherited from class java.lang.Object
`getClass, hashCode, equals, toString, notify, notifyAll, wait, wait, wait`

Field Detail

### PARAMETER

    public final static String PARAMETER

  Action key for sending of any parameters to action

Constructor Detail

### ApplicationAction

    public ApplicationAction(String key)

### ApplicationAction

    public ApplicationAction(String name, String cmd)

### ApplicationAction

    public ApplicationAction(String name, String shortDesc, String longDesc, int mnemonic, String imageFile, String cmd, ActionListener listener)

  Defines an `Action` object with the specified name,long/short description string,mnemonic key,icon, command string and the listener.
  Parameters:
    name - of action
    shortDesc - short description of action
    longDesc - long description of action
    mnemonic - hot key
    imageFile - image for icon on button or menu items
    cmd - corresponding string command
    listener - listener of action

### ApplicationAction

    public ApplicationAction(String name, String shortDesc, String longDesc, int mnemonic, String imageFile, ActionListener listener)

  Defines an `Action` object with the specified name,long/short description string,mnemonic key,icon and action listener.
  Parameters:
    name - name of action
    shortDesc - shortDesc short description of action
    longDesc - longDesc long description of action
    mnemonic - mnemonic hot key
    imageFile - image for icon on button or menu items
    listener - listener listener of action

### ApplicationAction

    public ApplicationAction(String name, String shortDesc, String longDesc, int mnemonic, String imageFile)

  Defines an `Action` object with the specified name,long/short description string,mnemonic key,icon .
  Parameters:
    name - name of action
    shortDesc - shortDesc short description of action
    longDesc - longDesc long description of action
    mnemonic - mnemonic hot key
    imageFile - image for icon on button or menu items

Method Detail

### actionPerformed

    public void actionPerformed(ActionEvent evt)

  Overridden method for translation action events to the all listeners
  Parameters:
    evt - ActionEvent

### addActionListener

    public void addActionListener(ActionListener l)

  Adds the specified action listener to receive action event .

### removeActionListeners

    public void removeActionListeners(Class clazz)

Association Links

to Class java.lang.String

  Action key for sending of any parameters to action

to Class java.util.Vector

  Action listener

Overview | Package | Class | Use | Tree | Help
| FOOTER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

BOTTOM